<?php

if ( ! defined('ABSPATH')) exit;  // if direct access

if ( ! function_exists( 'bug_blog_color_theme' ) ) :

function bug_blog_color_theme(){

    $site_header_bg_color = get_theme_mod('site_header_bg_color', '#ffffff');
    $site_header_text_color = get_theme_mod('site_header_text_color', '#515151');
    $site_header_link_color = get_theme_mod('site_header_link_color', '#23b2dd');

    $site_footer_bg_color = get_theme_mod('site_footer_bg_color', '#ffffff');
    $site_footer_text_color = get_theme_mod('site_footer_text_color', '#515151');
    $site_footer_link_color = get_theme_mod('site_footer_link_color', '#23b2dd');

    $site_wrapper_width = get_theme_mod('site_wrapper_width', '100%');
    $site_wrapper_bg_color = get_theme_mod('site_wrapper_bg_color', '#f7f7f7');
    $container_width = get_theme_mod('container_width');

    $bug_blog_theme_color = get_theme_mod('bug_blog_theme_color');
    $bug_blog_anchor_color = get_theme_mod('bug_blog_anchor_color');
    $bug_blog_pagination_bg_color = get_theme_mod('bug_blog_pagination_bg_color');
    $bug_blog_pagination_active_bg_color = get_theme_mod('bug_blog_pagination_active_bg_color');
    $bug_blog_pagination_item_bg_color = get_theme_mod('bug_blog_pagination_item_bg_color');
    $bug_blog_pagination_item_text_color = get_theme_mod('bug_blog_pagination_item_text_color');
    $bug_blog_pagination_item_active_text_color = get_theme_mod('bug_blog_pagination_item_active_text_color');

    //var_dump($site_header_bg_color);
    ?>

	<style>
        .site-header{
            <?php if(!empty($site_header_bg_color)):?>
            background-color: <?php echo esc_attr($site_header_bg_color); ?>;
            <?php endif; ?>

            <?php if(!empty($site_header_text_color)):?>
            color: <?php echo esc_attr($site_header_text_color); ?>;
            <?php endif; ?>
        }

        .site-header p{
            <?php if(!empty($site_header_text_color)):?>
            color: <?php echo esc_attr($site_header_text_color); ?>;
            <?php endif; ?>
        }

        .site-header a{
            <?php if(!empty($site_header_link_color)):?>
            color: <?php echo esc_attr($site_header_link_color); ?> !important;
            <?php endif; ?>
        }



        .site-footer, .site-footer .footer-bottom{
            <?php if(!empty($site_footer_bg_color)):?>
            background-color: <?php echo esc_attr($site_footer_bg_color); ?> !important;
            <?php endif; ?>

            <?php if(!empty($site_footer_text_color)):?>
            color: <?php echo esc_attr($site_footer_text_color); ?> !important;
            <?php endif; ?>
        }

        .site-footer p{
            <?php if(!empty($site_footer_text_color)):?>
            color: <?php echo esc_attr($site_footer_text_color); ?> !important;
            <?php endif; ?>
        }


        .site-footer a{
            <?php if(!empty($site_footer_link_color)):?>
            color: <?php echo esc_attr($site_footer_link_color); ?> !important;
            <?php endif; ?>
        }


        .site-wrapper{
            <?php if(!empty($site_wrapper_width)):?>
            width: <?php echo esc_attr($site_wrapper_width); ?> !important;
            <?php endif; ?>

            <?php if(!empty($site_wrapper_bg_color)):?>
            background-color: <?php echo esc_attr($site_wrapper_bg_color); ?>;
            <?php endif; ?>
            margin: 0 auto;
        }


        .container{
            <?php if(!empty($container_width)):?>
            width: <?php echo esc_attr($container_width); ?> !important;
            <?php endif; ?>
        }


        .site-main{}
        .site-main a{
        <?php if(!empty($bug_blog_anchor_color)):?>
            color: <?php echo esc_attr($bug_blog_anchor_color); ?> !important;
        <?php endif; ?>
        }


        .pagination{
        <?php if(!empty($bug_blog_pagination_bg_color)):?>
            background: <?php echo esc_attr($bug_blog_pagination_bg_color); ?> !important;
        <?php endif; ?>
        }
        .pagination a, .pagination span{
        <?php if(!empty($bug_blog_pagination_item_bg_color)):?>
            background-color: <?php echo esc_attr($bug_blog_pagination_item_bg_color); ?> !important;
        <?php endif; ?>

        <?php if(!empty($bug_blog_pagination_item_text_color)):?>
            color: <?php echo esc_attr($bug_blog_pagination_item_text_color); ?> !important;
        <?php endif; ?>

        }

        .pagination .current{
        <?php if(!empty($bug_blog_pagination_active_bg_color)):?>
            background-color: <?php echo esc_attr($bug_blog_pagination_active_bg_color); ?> !important;
        <?php endif; ?>

        <?php if(!empty($bug_blog_pagination_item_active_text_color)):?>
            color: <?php echo esc_attr($bug_blog_pagination_item_active_text_color); ?> !important;
        <?php endif; ?>


        }




    </style>
<?php
}
add_action('wp_head', 'bug_blog_color_theme');

endif;
