<?php

if (!defined('ABSPATH')) exit;  // if direct access


function bug_blog_site_wrapper_before()
{

	do_action('bug_blog_site_wrapper_before');
}

function bug_blog_site_wrapper_class()
{

	//apply_filters('bug_blog_site_wrapper_class', '');

	$site_wrapper_class = apply_filters('bug_blog_site_wrapper_class', '');

	echo esc_attr($site_wrapper_class);
}


function bug_blog_article_class()
{

	//apply_filters('bug_blog_site_wrapper_class', '');

	$article_class = apply_filters('bug_blog_article_class', '');

	return esc_attr($article_class);
}


function bug_blog_article_inner_class()
{

	//apply_filters('bug_blog_site_wrapper_class', '');

	$article_inner_class = apply_filters('bug_blog_article_inner_class', '');

	return esc_attr($article_inner_class);
}






function bug_blog_site_wrapper_top()
{

	do_action('bug_blog_site_wrapper_top');
}

function bug_blog_site_header_before()
{
	do_action('bug_blog_site_header_before');
}

function bug_blog_site_header_class()
{

	//apply_filters('bug_blog_site_header_class', '');

	$site_header_class = apply_filters('bug_blog_site_header_class', '');

	echo esc_attr($site_header_class);
}

function bug_blog_site_header()
{

	do_action('bug_blog_site_header');
}
function bug_blog_site_header_after()
{

	do_action('bug_blog_site_header_after');
}

function bug_blog_site_footer_before()
{

	do_action('bug_blog_site_footer_before');
}

function bug_blog_site_footer_class()
{

	apply_filters('bug_blog_site_footer_class', '');

	$site_footer_class = apply_filters('bug_blog_site_footer_class', '');

	echo esc_attr($site_footer_class);
}

function bug_blog_site_footer()
{

	do_action('bug_blog_site_footer');
}

function bug_blog_site_footer_after()
{

	do_action('bug_blog_site_footer_after');
}


function bug_blog_site_wrapper_bottom()
{

	do_action('bug_blog_site_wrapper_bottom');
}



function bug_blog_site_wrapper_after()
{

	do_action('bug_blog_site_wrapper_after');
}


function bug_blog_site_main_before()
{

	do_action('bug_blog_site_main_before');
}

function bug_blog_site_main_top()
{

	do_action('bug_blog_site_main_top');
}

function bug_blog_site_main_bottom()
{
	do_action('bug_blog_site_main_bottom');
}

function bug_blog_site_main_after()
{
	do_action('bug_blog_site_main_after');
}

function bug_blog_content_area_before()
{
	do_action('bug_blog_content_area_before');
}

function bug_blog_template_part($template)
{

	if (is_singular('post')) :
		get_template_part('templates-parts/single', 'content');

	elseif (is_singular('page')) :
		get_template_part('templates-parts/page', 'content');

	elseif (is_attachment()) :
		get_template_part('templates-parts/single', 'attachment');

	elseif (is_404()) :
		get_template_part('templates-parts/page', '404');



	else :
		get_template_part('templates-parts/single', 'content');

	endif;
}

add_action('bug_blog_post_content_template', 'bug_blog_post_content_template_html');

function bug_blog_post_content_template_html()
{

	if (is_singular('post')) :
		get_template_part('templates-parts/single', 'content');

	elseif (is_singular('page')) :
		get_template_part('templates-parts/page', 'content');

	elseif (is_attachment()) :
		get_template_part('templates-parts/single', 'attachment');

	elseif (is_404()) :
		get_template_part('templates-parts/page', '404');

	else :
		get_template_part('templates-parts/single', 'content');

	endif;
}

function bug_blog_article_before()
{

	do_action('bug_blog_article_before');
}

function bug_blog_article_template()
{

	do_action('bug_blog_article_template');
}

function bug_blog_article_after()
{

	do_action('bug_blog_article_after');
}


add_action('bug_blog_article_template', 'bug_blog_article_template_html');
function bug_blog_article_template_html()
{

	$article_template = get_theme_mod('article_theme');

	if (empty($article_template)) {

		$article_template =  'article_1';
	}


	if ($article_template == 'article_1') {

		get_template_part('templates-parts/article-templates/template', '1');
	} elseif ($article_template == 'article_2') {
		get_template_part('templates-parts/article-templates/template', '2');
	} elseif ($article_template == 'article_3') {
		get_template_part('templates-parts/article-templates/template', '3');
	} elseif ($article_template == 'article_4') {
		get_template_part('templates-parts/article-templates/template', '4');
	}
}

add_filter('bug_blog_article_class', 'bug_blog_article_class_extra');

function bug_blog_article_class_extra($article_class)
{

	$article_template = get_theme_mod('article_theme');

	if (empty($article_template)) {

		$article_template = '';
	}

	return $article_template . ' ' . $article_class;
}





add_action('bug_blog_article_after', 'bug_blog_article_after_html');
function bug_blog_article_after_html()
{

?>
	<div class="next-previous-post clearfix">
		<!-- Previous Post -->
		<div class="previous-post pull-left">
			<?php previous_post_link('<div class="nav-previous">%link</div>', __('<i class="fa fa-angle-left"></i> Previous Post', 'bug-blog')); ?>
		</div>

		<!-- Next Post -->
		<div class="next-post pull-right text-right">
			<?php next_post_link('<div class="nav-next">%link</div>', __('Next Post <i class="fa fa-angle-right"></i>', 'bug-blog')); ?>
		</div>
	</div>
	<?php

	if (comments_open() || get_comments_number()) : ?>
		<div class="margin-top-40">
			<?php comments_template(); ?>
		</div>
	<?php endif;
}









function bug_blog_page_content_template()
{

	do_action('bug_blog_page_content_template');
}



function bug_blog_content_area_after()
{

	do_action('bug_blog_content_area_after');
}
function bug_blog_site_main_class()
{

	$main_class = apply_filters('bug_blog_site_main_class', '');

	echo esc_attr($main_class);
}
function bug_blog_content_area_class()
{

	$content_area_class = apply_filters('bug_blog_content_area_class', '');

	echo esc_attr($content_area_class);
}

function bug_blog_archive_single_post()
{

	do_action('bug_blog_archive_single_post');
}


function bug_blog_content_area_top()
{

	do_action('bug_blog_content_area_top');
}

function bug_blog_content_area_bottom()
{

	do_action('bug_blog_content_area_bottom');
}


function bug_blog_page_template()
{

	do_action('bug_blog_page_template');
}

function bug_blog_post_content_template()
{

	do_action('bug_blog_post_content_template');
}







add_action('bug_blog_content_area_top', 'bug_blog_arcive_title');
function bug_blog_arcive_title()
{

	if (is_category() || is_tag() || is_author() || is_year() || is_month() || is_day() || is_tax() || is_post_type_archive()) :

		$the_archive_description = get_the_archive_description();


	?>
		<div class="archive-header">

			<h4 class="archive-title"><?php the_archive_title(); ?></h4>

			<?php if (!empty($the_archive_description)) : ?>
				<p class="archive-description"><?php echo wp_kses_post($the_archive_description); ?></p>
			<?php
			endif;
			?>

		</div>

	<?php
	elseif (is_search()) :
	?>
		<div class="archive-header">

			<h4 class="archive-title">
				<?php
				/* translators: 1: search query string */
				printf(esc_html_e('Search Results: <strong>%s</strong>', 'bug-blog'), '<span>' . get_search_query() . '</span>'); ?>
			</h4>
		</div>

	<?php



	endif;
}



add_action('bug_blog_site_main_top', 'bug_blog_site_main_top_container');
function bug_blog_site_main_top_container()
{

	?>
	<div class="container">
		<div class="row">
			<div class="col-md-8">
			<?php
		}



		add_action('bug_blog_site_main_bottom', 'bug_blog_site_main_bottom_container');

		function bug_blog_site_main_bottom_container()
		{

			?>
			</div> <!-- .col-md-8 -->
			<div class="col-md-4">
				<?php dynamic_sidebar('blog-widget'); ?>
			</div> <!-- .col-md-8 -->
		</div><!-- .row -->
	</div> <!-- .container -->


<?php
		}






		//add_action('bug_blog_site_main_after','bug_blog_site_main_after_container');
		function bug_blog_site_main_after_container()
		{

?>
	<div class="container">
		<div class="row">
			<div class="col-md-4">
				<?php dynamic_sidebar('blog-sidebar'); ?>
			</div> <!-- .col-md-8 -->
		</div><!-- .row -->
	</div> <!-- .container -->

<?php
		}







		add_action('bug_blog_site_header', 'bug_blog_site_header_html');


		function bug_blog_site_header_html()
		{

			$header_template = get_theme_mod('header_theme');

			if (empty($header_template)) {
				$header_template =  'header_1';
			}

			if ($header_template == 'header_1') {

				get_template_part('templates-parts/header-templates/template', '1');
			} elseif ($header_template == 'header_2') {
				get_template_part('templates-parts/header-templates/template', '2');
			} elseif ($header_template == 'header_3') {
				get_template_part('templates-parts/header-templates/template', '3');
			} elseif ($header_template == 'header_4') {
				get_template_part('templates-parts/header-templates/template', '4');
			} elseif ($header_template == 'header_5') {
				get_template_part('templates-parts/header-templates/template', '5');
			} elseif ($header_template == 'header_6') {
				get_template_part('templates-parts/header-templates/template', '6');
			} elseif ($header_template == 'header_7') {
				get_template_part('templates-parts/header-templates/template', '7');
			}




?>


	<?php
		}


		add_filter('bug_blog_site_header_class', 'bug_blog_site_header_class_extra');


		function bug_blog_site_header_class_extra($header_class)
		{

			$header_template = get_theme_mod('header_theme');

			if (empty($header_template)) {

				$header_template =  'header_1';
			}

			return $header_template . ' ' . $header_class;
		}









		add_action('bug_blog_archive_single_post', 'bug_blog_archive_single_post_loop');

		function bug_blog_archive_single_post_loop()
		{



			$archive_loop_template = get_theme_mod('bug_blog_archive_loop_template');

			if (empty($archive_loop_template)) {

				$archive_loop_template =  'template_1';
			}


			if ($archive_loop_template == 'template_1') {

				get_template_part('templates-parts/archive-loop-templates/template', '1');
			} elseif ($archive_loop_template == 'template_2') {
				get_template_part('templates-parts/archive-loop-templates/template', '2');
			} elseif ($archive_loop_template == 'template_3') {
				get_template_part('templates-parts/archive-loop-templates/template', '3');
			} elseif ($archive_loop_template == 'template_4') {
				get_template_part('templates-parts/archive-loop-templates/template', '4');
			} elseif ($archive_loop_template == 'template_5') {
				get_template_part('templates-parts/archive-loop-templates/template', '5');
			} else {
				get_template_part('templates-parts/archive-loop-templates/template', '1');
			}
		}





		add_action('bug_blog_site_footer', 'bug_blog_site_footer_html');


		function bug_blog_site_footer_html()
		{

			$footer_template = get_theme_mod('footer_theme');
			if (empty($footer_template)) {

				$footer_template =  'footer_1';
			}

			if ($footer_template == 'footer_1') {
				get_template_part('templates-parts/footer-templates/template', '1');
			} elseif ($footer_template == 'footer_2') {
				get_template_part('templates-parts/footer-templates/template', '2');
			} elseif ($footer_template == 'footer_3') {
				get_template_part('templates-parts/footer-templates/template', '3');
			}
		}






		add_action('bug_blog_content_area_after', 'bug_blog_content_area_bottom_pagination');


		function bug_blog_content_area_bottom_pagination()
		{

			if (!is_singular()) :


	?>
		<div class="pagination justify-content-center">
			<?php

				if (get_query_var('paged')) {

					$paged = get_query_var('paged');
				} elseif (get_query_var('page')) {

					$paged = get_query_var('page');
				} else {

					$paged = 1;
				}

				global $wp_query;

				$big = 999999999; // need an unlikely integer
				$max_num_pages = $wp_query->max_num_pages;


				echo wp_kses_post(paginate_links(array(
					'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
					'format' => '?paged=%#%',
					'current' => max(1, $paged),
					'total' => $max_num_pages,
					'prev_text'          => __('Previous', 'bug-blog'),
					'next_text'          => __('Next', 'bug-blog'),
				)));

			?>

		</div>
	<?php

			endif;
		}


		add_filter('bug_blog_site_footer_class', 'bug_blog_site_footer_class_extra');

		function bug_blog_site_footer_class_extra($footer_class)
		{

			$footer_template = get_theme_mod('footer_theme');

			if (empty($footer_template)) {

				$footer_template =  'footer_1';
			}

			return $footer_template . ' ' . $footer_class;
		}



		/*
 *
 *
 add_action('bug_blog_archive_single_post','bug_blog_archive_single_post_html_hh', 0);

function bug_blog_archive_single_post_html_hh(){

    echo '<div style="background: #32ddf9;text-align:center;padding:10px 0px;color:#fff;">HTML under <code style="font-size: 15px;">.content-area</code> inside loop on archive page</div>';
}
 *
 * */




		add_action('bug_blog_content_area_top', 'bug_blog_content_area_top_breadcrumb');

		function bug_blog_content_area_top_breadcrumb()
		{

			if (is_singular()) :
	?>
		<div class="breadcrumb">
			<?php

				global $post;
				$home = get_page(get_option('page_on_front'));
				if ($post->post_parent) :



			?>

				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="<?php echo esc_url(home_url()); ?>"><?php esc_html_e('Home', 'bug-blog'); ?></a></li>
					<?php

					for ($i = count($post->ancestors) - 1; $i >= 0; $i--) {
						if (($home->ID) != ($post->ancestors[$i])) {
					?>
							<li class="breadcrumb-item"><a href="<?php echo esc_url(get_permalink($post->ancestors[$i])); ?>"><?php echo esc_html(get_the_title($post->ancestors[$i])); ?></a></li>
					<?php
						}
					}

					?>
					<li class="breadcrumb-item"><a href="<?php echo esc_url(get_permalink(get_the_id())); ?>"><?php echo esc_html(get_the_title()); ?></a></li>

				</ol>

			<?php
				else :

			?>
				<ol class="breadcrumb">
					<li class="breadcrumb-item"><a href="<?php echo esc_url(home_url()); ?>"><?php esc_html_e('Home', 'bug-blog'); ?></a></li>
					<li class="breadcrumb-item"><a href="<?php echo esc_url(get_permalink(get_the_id())); ?>"><?php echo esc_html(get_the_title()); ?></a></li>
				</ol>
			<?php

				endif;

			?>
		</div>
<?php
			endif;
		}





		add_filter('bug_blog_sidebars', 'bug_blog_sidebars_extra');

		function bug_blog_sidebars_extra($sidebars)
		{

			$sidebars[] = array(
				'name'          => __('Home - Sidebar', 'bug-blog'),
				'id'            => 'home-widget',
				'description'   => '',
				'before_widget' => '<aside id="%1$s" class="widget col-md-6 col-lg-4 col-sm-6 col-xl-3 footer-widget %2$s"><div class="widget-wrapper">',
				'after_widget'  => '</div></aside>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>',
			);

			$sidebars[] = array(
				'name'          => __('Page - Sidebar', 'bug-blog'),
				'id'            => 'page-widget',
				'description'   => '',
				'before_widget' => '<aside id="%1$s" class="widget col-md-6 col-lg-4 col-sm-6 col-xl-3 footer-widget %2$s"><div class="widget-wrapper">',
				'after_widget'  => '</div></aside>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>',
			);


			return $sidebars;
		}
