<?php

if ( ! defined('ABSPATH')) exit;  // if direct access

$bug_blog_archive_column_desktop = get_theme_mod('bug_blog_archive_column_desktop');
$bug_blog_archive_column_tablet = get_theme_mod('bug_blog_archive_column_tablet');
$archive_loop_template = get_theme_mod('bug_blog_archive_loop_template');


	?>
<div class="loop-item <?php echo esc_attr($archive_loop_template); ?> col-sm-12 <?php echo esc_attr($bug_blog_archive_column_desktop); ?> <?php echo esc_attr($bug_blog_archive_column_tablet); ?>">
    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

        <h4 class="title entry-title">
            <a href="<?php echo esc_url(get_permalink()); ?>"><?php the_title(); ?></a>
        </h4>
        <div class="entry-thumbnail">
            <a href="<?php echo esc_url(get_permalink()); ?>">
                <?php the_post_thumbnail(); ?>
            </a>
        </div>
        <div class="entry-meta-top">

            <span class="author vcard">
                            <?php
                            printf('%1$s  <a class="url fn n" href="%2$s">%3$s</a>','<i class="far fa-user"></i>',
                                esc_url(get_author_posts_url(get_the_author_meta('ID'))),
                                esc_html(get_the_author())
                            ) ?>
            </span>
            <span class="posted-date"><i class="far fa-clock"></i> <?php the_time('M d, Y') ?></span>
            <?php if (get_the_category_list()): ?>

                <span class="categories"><i class="far fa-bookmark"></i>
            <?php echo wp_kses_post(get_the_category_list(_x(', ', 'Used between list items, there is a space after the comma.', 'bug-blog'))); ?>
            </span>
            <?php endif; ?>

        </div>


        <div class="entry-content"><p><?php echo esc_html(wp_trim_words(get_the_excerpt(), 30, '')); ?></p>
            <a class="read-more" href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html_e('Continue reading', 'bug-blog'); ?></a>
        </div>



    </article>
</div>

