<?php

if (!defined('ABSPATH')) exit;  // if direct access

$bug_blog_logo = get_theme_mod('bug_blog_logo');
$bug_blog_social_links = get_theme_mod('bug_blog_social_links');

?>


<div class="container">
	<div class="row">
		<div class="col-md-8">
			<div class="row">
				<?php dynamic_sidebar('footer-widget'); ?>
			</div>


		</div>
		<div class="col-md-4">

			<?php
			if (!empty($bug_blog_logo)) :
			?>
				<div class="footer-logo">
					<a href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo esc_url(get_theme_mod('bug_blog_logo'));
																			?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>"></a>
				</div><!-- /Logo -->
			<?php
			else :
			?>
				<div class="footer-logo">
					<h1><a href="<?php echo esc_url(home_url()); ?>"><?php echo esc_html(get_bloginfo('name')); ?></a></h1>
				</div><!-- /Logo -->
			<?php

			endif;
			?>
			<p class="site-description"><?php echo esc_html(get_bloginfo('description')); ?></p>
			<div class="social-link">
				<?php
				foreach ($bug_blog_social_links as $link) {
					$link_icon = $link['link_icon'];
					$link_url = esc_url($link['link_url']);
				?>
					<a href="<?php echo esc_url($link_url); ?>"><?php echo wp_kses_post($link_icon); ?></a>
				<?php
				}
				?>
			</div>




		</div>








	</div>
</div>

<div class="footer-bottom">

	<div class="container">
		<div class="row">
			<?php
			$bug_blog_poweredby = get_theme_mod('bug_blog_poweredby');
			$bug_blog_dev_by = get_theme_mod('bug_blog_dev_by');

			$bug_blog_copyright_text = get_theme_mod('bug_blog_copyright_text');

			?>

			<div class="col-md-12">
				<?php if (empty($bug_blog_poweredby)) : ?>
					<span class="poweredby"><?php esc_html_e('Proudly powered by WordPress', 'bug-blog'); ?></span> |
				<?php
				endif;
				?>

				<?php if (empty($bug_blog_dev_by)) : ?>
					<span class="dev-credit"><?php
												/* translators: 1: dev site link, 2: dev site link */
												echo sprintf(__('Theme Bug Blog by <a href="%1$s">%2$s</a>', 'bug-blog'), esc_url('https://dartthemes.com'), esc_url('https://dartthemes.com')); ?> </span>
				<?php
				endif;
				?>


				<?php if (!empty($bug_blog_copyright_text)) : ?>
					| <span class="footer-copyright"><?php echo esc_html($bug_blog_copyright_text); ?></span>
				<?php
				endif;
				?>





			</div>

		</div>



	</div>
</div>